#
# spec file for package src_vipa (Version 2.0.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           src_vipa
Url:            http://www10.software.ibm.com/developerworks/opensource/linux390/useful_add-ons.shtml
Version:        2.0.3
Release:        12.8.16
Summary:        Virtual Source IP address support for HA solutions
License:        "The package is licensed at ..."
Group:          Productivity/Clustering/HA
AutoReqProv:    on
Source:         src_vipa-%version.tar.gz
Patch:          src_vipa.makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package provides very flexible means of source IP address
selection to arbitrary applications. This is particularly useful for
high availability setups, where the dummy device holds a "VIPA"
(virtual IP address). Please read the
/usr/share/doc/packages/src_vipa/README and the manpage of src_vipa for
further information.



%prep
%setup -n %name
%patch

%build
make SRC_VIPA_PATH=%_libdir
make CFLAGS="$RPM_OPT_FLAGS -Wall"

%install
[ %buildroot != / ] && [ -d %buildroot ] && rm -rf %buildroot;
make INSTROOT=%buildroot SRC_VIPA_PATH=%buildroot%_libdir install
#mkdir -p $RPM_BUILD_ROOT/{%{_sbindir},%{_mandir}/man8/}
#install vconfig $RPM_BUILD_ROOT/%{_sbindir}
#cp -p vconfig.8 $RPM_BUILD_ROOT%{_mandir}/man8/
#cp %SOURCE2 .

%files
%defattr(444,root,root,755)
%doc README LICENSE
%doc %{_mandir}/man8/*.8.gz
%attr(555,root,root) %_sbindir/*
%attr(555,root,root) %_libdir/src_vipa*

%changelog
* Tue Jul 14 2009 ro@suse.de
- fix build as non-root
* Tue Jul 14 2009 lrupp@suse.de
- add baselibs.conf (bnc#457190)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Apr 12 2005 ihno@suse.de
- update to 2.0.3 (code drop 2005-02-15)
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Fri Nov 28 2003 bk@suse.de
- update to 2.0.0 and added further glibc-2.3.2 compile fixes
* Tue Aug 12 2003 ro@suse.de
- fix build on x86_64
* Wed Jun 25 2003 ro@suse.de
- fix bind definition
* Mon Jul 22 2002 bk@suse.de
- update to 1.0.1 which fixes a lib64 problem
* Fri Jul 19 2002 bk@suse.de
- initial version
